{
    "name": "dtnl/sfoclient",
    "description": "PHP SFO Client Library",
    "type": "library",
    "minimum-stability": "dev",
    "prefer-stable": true,
    "authors": [
        {
            "name": "Waldemar Bartikowski",
            "email": "waldemar.bartikowski@deptagency.com"
        }
    ],
    "config": {
        "optimize-autoloader": false,
        "bin-dir": "bin"
    },
    "autoload": {
        "psr-4": {
            "DTNL\\SfoClient\\": "src/",
            "DTNL\\SfoClient\\Tests\\": "tests/"
        }
    },
    "repositories": [
        { "type": "vcs", "url": "https://gitlab.com/waldemar.bartikowski/dtnl-php-odataclient" }
      ],
    "require": {
        "php": ">=7.1",
        "psr/http-client": "*",
        "psr/http-message": "*",
        "guzzlehttp/psr7": "*",
        "dtnl/odataclient": "dev-master"
    },
    "require-dev": {
        "phpunit/phpunit": "*",
        "squizlabs/php_codesniffer": "*",
        "phpstan/phpstan": "*",
        "phpstan/phpstan-phpunit": "*",
        "phpstan/phpstan-strict-rules": "*",
        "guzzlehttp/guzzle": "^6"
    },
    "scripts": {
        "test": [
            "phpunit",
            "phpstan analyse"
        ]
    }
}
